Subject: Re: [PATCH RFC tip/core/rcu 10/41] ipv4: Convert call_rcu() to kfree_rcu()

From: "Paul E. McKenney" <[email-masked]>
Date: Thu, 2 Feb 2012 07:56:12 -0800

On Wed, Feb 01, 2012 at 04:24:03PM -0800, Josh Triplett wrote:
> On Wed, Feb 01, 2012 at 11:41:28AM -0800, Paul E. McKenney wrote:
> > From: "Paul E. McKenney" <[email-masked]>
> > 
> > The call_rcu() in do_ip_setsockopt() invokes opt_kfree_rcu(), which just
> > calls kfree().  So convert the call_rcu() to kfree_rcu(), which allows
> > opt_kfree_rcu() to be eliminated.
> 
> This and patch 9/41 have exactly the same subject line.  Consider
> adding the name of the function you replaced to each one, to
> disambiguate them.

Good point, will also add function names to the other three kfree_rcu()
patches.

							Thanx, Paul